For the complete documentation index, see llms.txt. This page is also available as Markdown.

Binding

Bind (register) a customer for Mandiri Direct Debit as a funding source.

Endpoint

Environment
Method
URL

Development

POST

https://devo.finnet.co.id/pg/payment/card/directdebit/bind

Production

POST

https://live.finnet.co.id/pg/payment/card/directdebit/bind

Body Request

Content-Type: application/json.

No
Name
Type
Mandatory
Description

1

customer

Object

M

Customer identity and contact details.

2

customer.id

String

M

Customer identifier on your system.

3

customer.email

String

M

Customer email.

4

customer.firstName

String

M

Customer first name.

5

customer.lastName

String

M

Customer last name.

6

customer.mobilePhone

String

M

Use international format (example: +628...).

7

sourceOfFunds

Object

M

Funding source configuration.

8

sourceOfFunds.type

String

M

Value for Mandiri Direct Debit: ddmandiri.

9

recurring

Object

M

Recurring configuration for the binding.

10

recurring.type

String

M

Recurring type. Example: PURCHASE.

11

recurring.id

String

M

Recurring identifier.

12

recurring.amount

String

M

Amount as string. Example: "1000".

13

recurring.interval

String

M

Interval value. Example: "1".

14

recurring.intervalUnit

String

M

Interval unit. Example: monthly.

15

recurring.maxInterval

String

M

Max interval value. Example: "2".

16

recurring.startDate

String

M

Start date. Format: yyyyMMdd.

17

recurring.endDate

String

M

End date. Format: yyyyMMdd.

18

recurring.retry

Object

M

Retry configuration.

19

recurring.retry.interval

String

M

Retry interval value. Example: "1".

20

recurring.retry.intervalUnit

String

M

Retry interval unit. Example: minutes.

21

recurring.retry.maxInterval

String

M

Retry max interval value. Example: "1".

Sample Request

Body Response

No
Name
Type
Mandatory
Description

1

responseCode

M

Response Code.

2

responseMessage

String

M

Response Message.

3

redirecturl

String

M

Redirect URL.

4

processingTime

Number

M

Processing time.

5

traceId

String

M

Trace ID for debugging/troubleshooting.

Sample Response

Last updated